"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const CxScanConfigCall_1 = __importDefault(require("../main/CxScanConfigCall"));
const CxAuthCall_1 = __importDefault(require("../main/CxAuthCall"));
const CxParamType_1 = require("../main/CxParamType");
require("babel-polyfill");
let cxScanConfig = new CxScanConfigCall_1.default();
cxScanConfig.baseUri = "https://eu.ast.checkmarx.net";
cxScanConfig.clientId = "ast-github-action";
let params = new Map();
params.set(CxParamType_1.CxParamType.PROJECT_NAME, "JayJavascriptWrapperTest");
params.set(CxParamType_1.CxParamType.SCAN_TYPES, "sast");
params.set(CxParamType_1.CxParamType.ADDITIONAL_PARAMETERS, "--nowait");
params.set(CxParamType_1.CxParamType.SAST_PRESET_NAME, "Checkmarx Default");
params.set(CxParamType_1.CxParamType.S, ".");
const auth = new CxAuthCall_1.default(cxScanConfig);
test('ScanCreate Successful case', () => __awaiter(void 0, void 0, void 0, function* () {
    const data = yield auth.scanCreate(params);
    const cxScanObject = JSON.parse(data);
    expect(cxScanObject.Status).toContain("Queued");
}));
test('ScanList Successful case', () => __awaiter(void 0, void 0, void 0, function* () {
    const data = yield auth.scanList();
    const cxScanObject = JSON.parse(data);
    expect(cxScanObject.length).toBeGreaterThan(0);
}));
//# sourceMappingURL=CxAuthCall.test.js.map